package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.aps.converter.CustomDateDeserializer;
import cn.estsh.i3plus.pojo.aps.converter.CustomDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class GanttOrderModel {
    private String id;
    private String code;
    private String name;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date startDate;
    @JsonSerialize(using = CustomDateSerializer.class)
    @JsonDeserialize(using = CustomDateDeserializer.class)
    private Date endDate;
    private String color;//颜色
    private Double percentDone;//完成百分比
    private Boolean expanded;//是否展开树
    private Boolean rollup;//自动把数据相加 在children的上层 当前
    private long duration;//期间 --
    private String unit;//期间单位 --
    private List<GanttOrderModel> children = new ArrayList<>();
}
